include:
  - local: 'job-artifacts/.gitlab-ci.yml'
  - local: 'job-cache/.gitlab-ci.yml'
  - local: 'container-registry/.gitlab-ci.yml'
  - local: 'maven-repository/.gitlab-ci.yml'
  - local: 'npm-registry/.gitlab-ci.yml'
  - local: 'nuget-repository/.gitlab-ci.yml'
  - local: 'pypi-repository/.gitlab-ci.yml'
  - local: 'pages/.gitlab-ci.yml'

.shared-rules:
  rules:
    - if: $CI_MERGE_REQUEST_ID
      when: always
    - if: $RUN_ALL_TESTS
      when: always
    - when: manual
      allow_failure: true

container-registry:
  extends: .shared-rules

job-artifacts:upload:
  extends: .shared-rules

job-artifacts:download:
  extends: .shared-rules

job-cache:upload:
  extends: .shared-rules

job-cache:download:
  extends: .shared-rules

maven-repository:
  extends: .shared-rules

npm-registry:
  extends: .shared-rules

nuget-repository:
  extends: .shared-rules

pypi-repository:
  extends: .shared-rules

pages:
  extends: .shared-rules

debug:
  extends: .shared-rules
  stage: test
  script:
  - env | sort
